View Issue Details

IDProjectCategoryView StatusLast Update
0002505FreeCADBugpublic2016-05-02 17:00
ReporterpablocaronAssigned To 
PriorityurgentSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Platformx64OSLinuxOS VersionOpenSUSE 42.1
Product Version 
Target VersionFixed in Version0.17 
Summary0002505: Seg. Fault when creating a new sketch
DescriptionFreeCAD crashed after update (version: FreeCAD 0.17, Libs: 0.17R7402 (Git) (Packman))
Steps To Reproduce1) Open FreeCAD
2) Create a new Part
3) Create a new Active Body
4) Create a new Sketch
5) Draw something (FreeCAD crashes with the message "Can't find Origin for "Part""
6) If not crashed in previous Step FreeCAD crashes when trying to extrude the sketch.
TagsNo tags attached.

Activities

ickby

2016-04-14 19:14

developer   ~0006967

I can't reproduce. Can you provide a backtrace?

pablocaron

2016-04-14 19:43

reporter   ~0006968

Last edited: 2016-04-14 19:44

View 2 revisions

Hi ickby, Below you can find the backtrace. Please, tell me if you need additional information.

Pablo

gdb FreeCAD
GNU gdb (GDB; %maintenance_distribution) 7.9.1
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law. Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-suse-linux".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://bugs.opensuse.org/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from FreeCAD...Reading symbols from /usr/lib/debug/usr/lib64/FreeCAD/bin/FreeCAD.debug...done.
done.
(gdb) run
Starting program: /usr/bin/FreeCAD
Missing separate debuginfos, use: zypper install glibc-debuginfo-2.19-19.1.x86_64
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
FreeCAD 0.17, Libs: 0.17R7402 (Git) (Packman)
© Juergen Riegel, Werner Mayer, Yorik van Havre 2001-2015
  ##### #### ### ####
  # # # # # #
  # ## #### #### # # # # #
  #### # # # # # # # ##### # #
  # # #### #### # # # # #
  # # # # # # # # # ## ## ##
  # # #### #### ### # # #### ## ## ##

[New Thread 0x7fff87fff700 (LWP 7309)]
[New Thread 0x7fff72035700 (LWP 7314)]
[New Thread 0x7fff72836700 (LWP 7313)]
[New Thread 0x7fff73037700 (LWP 7312)]
[New Thread 0x7fff877fe700 (LWP 7310)]
[New Thread 0x7fff94987700 (LWP 7308)]
[New Thread 0x7fff96043700 (LWP 7307)]
[New Thread 0x7fff96efe700 (LWP 7306)]
[New Thread 0x7fffd7a0b700 (LWP 7305)]
                                                                                                                                                                                       
Program received signal SIGSEGV, Segmentation fault.
0x00007ffff4b784f5 in _int_malloc () from /lib64/libc.so.6

(gdb) bt
#0 0x00007ffff4b784f5 in _int_malloc () at /lib64/libc.so.6
#1 0x00007ffff4b7a670 in malloc () at /lib64/libc.so.6
0000002 0x00007ffff5153318 in operator new(unsigned long) () at /usr/lib64/libstdc++.so.6
0000003 0x00007ffff6de1a52 in boost::any::any<boost::any const>(boost::any const&&, boost::disable_if<boost::is_same<boost::any&, boost::any const>, void>::type*) (this=0x597d448, value=<unknown type in /usr/lib/debug/usr/lib64/FreeCAD/lib/libFreeCADApp.so.debug, CU 0x1dbb5d, DIE 0x21f480>) at /usr/include/boost/any.hpp:72
0000004 0x00007ffff6de1b29 in boost::any::any<boost::any const>(boost::any const&&, boost::disable_if<boost::is_same<boost::any&, boost::any const>, void>::type*) (value=<unknown type in /usr/lib/debug/usr/lib64/FreeCAD/lib/libFreeCADApp.so.debug, CU 0x1dbb5d, DIE 0x2166de>, this=0x597d440) at /usr/include/boost/any.hpp:175
0000005 0x00007ffff6de1b29 in boost::any::any<boost::any const>(boost::any const&&, boost::disable_if<boost::is_same<boost::any&, boost::any const>, void>::type*) (value=<unknown type in /usr/lib/debug/usr/lib64/FreeCAD/lib/libFreeCADApp.so.debug, CU 0x1dbb5d, DIE 0x21f480>, this=0x597d428) at /usr/include/boost/any.hpp:72
0000006 0x00007ffff6de1b29 in boost::any::any<boost::any const>(boost::any const&&, boost::disable_if<boost::is_same<boost::any&, boost::any const>, void>::type*) (value=<unknown type in /usr/lib/debug/usr/lib64/FreeCAD/lib/libFreeCADApp.so.debug, CU 0x1dbb5d, DIE 0x2166de>, this=0x597d420) at /usr/include/boost/any.hpp:175
0000007 0x00007ffff6de1b29 in boost::any::any<boost::any const>(boost::any const&&, boost::disable_if<boost::is_same<boost::any&, boost::any const>, void>::type*) (value=<unknown type in /usr/lib/debug/usr/lib64/FreeCAD/lib/libFreeCADApp.so.debug, CU 0x1dbb5d, DIE 0x21f480>, this=0x597d408) at /usr/include/boost/any.hpp:72
0000008 0x00007ffff6de1b29 in boost::any::any<boost::any const>(boost::any const&&, boost::disable_if<boost::is_same<boost::any&, boost::any const>, void>::type*) (value=<unknown type in /usr/lib/debug/usr/lib64/FreeCAD/lib/libFreeCADApp.so.debug, CU 0x1dbb5d, DIE 0x2166de>, this=0x597d400) at /usr/include/boost/any.hpp:175
0000009 0x00007ffff6de1b29 in boost::any::any<boost::any const>(boost::any const&&, boost::disable_if<boost::is_same<boost::any&, boost::any const>, void>::type*) (value=<unknown type in /usr/lib/debug/usr/lib64/FreeCAD/lib/libFreeCADApp.so.debug, CU 0x1dbb5d, DIE 0x21f480>, this=0x597d3e8) at /usr/include/boost/any.hpp:72
0000010 0x00007ffff6de1b29 in boost::any::any<boost::any const>(boost::any const&&, boost::disable_if<boost::is_same<boost::any&, boost::any const>, void>::type*) (value=<unknown type in /usr/lib/debug/usr/lib64/FreeCAD/lib/libFreeCADApp.so.debug, CU 0x1dbb5d, DIE 0x2166de>, this=0x597d3e0) at /usr/include/boost/any.hpp:175

ickby

2016-04-14 19:54

developer   ~0006969

Which boost version do you use? Seems like this bug: http://forum.freecadweb.org/viewtopic.php?t=14108

pablocaron

2016-04-15 13:34

reporter   ~0006973

The default version in openSUSE 42.1 is boost 1.54. I was trying to install a newer version (1.58) through the package manager. Sadly, uninstalling boost 1.54 brokes several packages (LibreOffice among others).

Do you know a way to install a custom boost and make FreeCAD (the package version) to use it?

If not, I think that I will have to compile FreeCAD from scratch.

Pablo

EduardoJV

2016-04-15 14:06

reporter   ~0006974

Hello, you can download from here: https://software.opensuse.org/package/boost, click on show other versions, Opensuse Leap 42.1 and click on source.

Once downloaded open a terminal, go to the download folrder and run $sudo rpm -U "fliname.rpm"

pablocaron

2016-04-15 14:31

reporter   ~0006975

Althought I've downloaded the 1.60 boost version, FreeCAD has been built against 1.54. Below you can find the detailed list of installed packages.

I would appreciate any advice.

Pablo

zypper se -i boost
Cargando datos del repositorio...
Leyendo los paquetes instalados...

S | Nombre | Resumen | Tipo
--+------------------------------------+-------------------------------------------------------------+--------
i | boost-devel | Paquete de desarrollo para Boost C++ | package
i | boost-jam | Un make mejorado | package
i | boost-license1_54_0 | Licencia de Boost | package
i | boost-license1_60_0 | Boost License | package
i | libboost_atomic1_54_0 | Run-Time component of boost atomic library | package
i | libboost_atomic1_60_0 | Run-Time component of boost atomic library | package
i | libboost_chrono1_54_0 | The Boost::Chrono runtime library | package
i | libboost_chrono1_60_0 | The Boost::Chrono runtime library | package
i | libboost_container1_60_0 | Boost::Container Runtime libraries | package
i | libboost_context1_60_0 | Run-Time component of boost context switching library | package
i | libboost_coroutine1_60_0 | Boost::Coroutine Runtime libraries | package
i | libboost_date_time1_54_0 | Bibliotecas de tiempo de ejecución de Boost::Date.Time | package
i | libboost_date_time1_60_0 | Boost::Date.Time Runtime libraries | package
i | libboost_filesystem1_54_0 | Bibliotecas de tiempo de ejecución de Boost::Filesystem | package
i | libboost_filesystem1_60_0 | Boost::Filesystem Runtime Libraries | package
i | libboost_graph1_54_0 | Bibliotecas de tiempo de ejecución de Boost::Graph | package
i | libboost_graph1_60_0 | Boost::Graph Runtime Libraries | package
i | libboost_graph_parallel1_54_0 | Boost graph::distributed runtime libraries | package
i | libboost_graph_parallel1_60_0 | Boost graph::distributed runtime libraries | package
i | libboost_iostreams1_54_0 | Bibliotecas de tiempo de ejecución de Boost::IOStreams | package
i | libboost_iostreams1_60_0 | Boost::IOStreams Runtime Libraries | package
i | libboost_locale1_54_0 | The Boost::Locale runtime library | package
i | libboost_locale1_60_0 | The Boost::Locale runtime library | package
i | libboost_log1_54_0 | Run-Time component of boost logging library | package
i | libboost_log1_60_0 | Run-Time component of boost logging library | package
i | libboost_math1_54_0 | Bibliotecas de tiempo de ejecución de Boost::Math | package
i | libboost_math1_60_0 | Boost::Math Runtime Libraries | package
i | libboost_mpi1_54_0 | Bibliotecas de tiempo de ejecución de Boost::MPI | package
i | libboost_mpi1_60_0 | Boost::MPI Runtime libraries | package
i | libboost_program_options1_54_0 | Bibliotecas de tiempo de ejecución de Boost::ProgramOptions | package
i | libboost_program_options1_60_0 | Boost::ProgramOptions Runtime libraries | package
i | libboost_python1_54_0 | Bibliotecas de tiempo de ejecución de Boost::Python | package
i | libboost_python1_60_0 | Boost::Python Runtime Libraries | package
i | libboost_python1_60_0-32bit | Boost::Python Runtime Libraries | package
i | libboost_python3-1_60_0 | Boost::Python Runtime Libraries | package
i | libboost_random1_54_0 | The Boost::Random runtime library | package
i | libboost_random1_60_0 | The Boost::Random runtime library | package
i | libboost_regex1_54_0 | Bibliotecas de tiempo de ejecución de Boost::Regex | package
i | libboost_regex1_60_0 | The Boost::Regex runtime library | package
i | libboost_serialization1_54_0 | Bibliotecas de tiempo de ejecución de Boost::Serialization | package
i | libboost_serialization1_60_0 | Boost::Serialization Runtime Libraries | package
i | libboost_serialization1_60_0-32bit | Boost::Serialization Runtime Libraries | package
i | libboost_signals1_54_0 | Bibliotecas de tiempo de ejecución de Boost::Signals | package
i | libboost_signals1_60_0 | Boost::Signals Runtime Libraries | package
i | libboost_system1_54_0 | Bibliotecas de tiempo de ejecución de Boost::System | package
i | libboost_system1_60_0 | Boost::System Runtime Libraries | package
i | libboost_test1_54_0 | Bibliotecas de tiempo de ejecución de Boost::Test | package
i | libboost_test1_60_0 | Boost::Test Runtime Libraries | package
i | libboost_thread1_54_0 | Bibliotecas de tiempo de ejecución de Boost::Thread | package
i | libboost_thread1_60_0 | Boost::Thread Runtime Libraries | package
i | libboost_timer1_54_0 | The Boost::Timer runtime library | package
i | libboost_timer1_60_0 | The Boost::Timer runtime library | package
i | libboost_wave1_54_0 | Bibliotecas de tiempo de ejecución de Boost::Wave | package
i | libboost_wave1_60_0 | Boost::Wave Runtime Libraries | package

ickby

2016-04-17 18:10

developer   ~0006985

You need to ensure that when you compile freecad the cmake configuration points to the newer boost version.

pablocaron

2016-04-19 12:43

reporter   ~0006990

The maintainers of Packman repository updated FreeCAD during the last weekend and the issue has been solved, although it still uses boost 1.54. Below you can find the package details and its dependencies.

zypper info --requires FreeCAD
Cargando datos del repositorio...
Leyendo los paquetes instalados...


Información para package FreeCAD:
---------------------------------
Repositorio: Packman Repository
Nombre: FreeCAD
Versión: 0.15.99+git20160413.1718-1.4
Arquitectura: x86_64
Proveedor:http://packman.links2linux.de
Instalado: Sí
Estado: actualizado
Tamaño de instalación: 180,7 MiB
Resumen:Feature based Parametric Modeler
Descripción:
  FreeCAD is a general purpose feature-based, parametric 3D modeler for CAD, MCAD, CAx, CAE and PLM, aimed directly at mechanical engineering and product design but also fits a wider
  range of uses in engineering, such as architecture or other engineering specialties. It is 100% Open Source (LGPL2+ license) and extremely modular, allowing for very advanced
  extension and customization.
                                                                                                                                                                                       
  FreeCAD is based on OpenCasCade, a powerful geometry kernel, features an Open Inventor-compliant 3D scene representation model provided by the Coin 3D library, and a broad Python
  API. The interface is built with Qt. FreeCAD runs exactly the same way on Windows, Mac OSX, BSD and Linux platforms.
Requiere:
  libc.so.6()(64bit)
  libc.so.6(GLIBC_2.2.5)(64bit)
  libc.so.6(GLIBC_2.14)(64bit)
  libc.so.6(GLIBC_2.4)(64bit)
  libc.so.6(GLIBC_2.3.4)(64bit)
  libpthread.so.0()(64bit)
  libm.so.6()(64bit)
  libm.so.6(GLIBC_2.2.5)(64bit)
  libpthread.so.0(GLIBC_2.2.5)(64bit)
  libstdc++.so.6()(64bit)
  libstdc++.so.6(GLIBCXX_3.4)(64bit)
  libstdc++.so.6(CXXABI_1.3)(64bit)
  libgcc_s.so.1()(64bit)
  libgcc_s.so.1(GCC_3.0)(64bit)
  libstdc++.so.6(GLIBCXX_3.4.9)(64bit)
  libdl.so.2()(64bit)
  libstdc++.so.6(GLIBCXX_3.4.11)(64bit)
  libX11.so.6()(64bit)
  libdl.so.2(GLIBC_2.2.5)(64bit)
  libstdc++.so.6(GLIBCXX_3.4.15)(64bit)
  libz.so.1()(64bit)
  libQtCore.so.4()(64bit)
  libQtGui.so.4()(64bit)
  libGL.so.1()(64bit)
  libfreetype.so.6()(64bit)
  libstdc++.so.6(CXXABI_1.3.1)(64bit)
  libQtNetwork.so.4()(64bit)
  libQtXml.so.4()(64bit)
  libGLU.so.1()(64bit)
  python-xml
  libpython2.7.so.1.0()(64bit)
  libboost_system.so.1.54.0()(64bit)
  libstdc++.so.6(GLIBCXX_3.4.5)(64bit)
  libboost_program_options.so.1.54.0()(64bit)
  libstdc++.so.6(GLIBCXX_3.4.18)(64bit)
  libQtOpenGL.so.4()(64bit)
  libQtWebKit.so.4()(64bit)
  libQtSvg.so.4()(64bit)
  libgcc_s.so.1(GCC_3.4)(64bit)
  libstdc++.so.6(CXXABI_1.3.5)(64bit)
  libboost_regex.so.1.54.0()(64bit)
  libCoin.so.80()(64bit)
  python-pyside
  libTKBO.so.10()(64bit)
  libTKBRep.so.10()(64bit)
  libTKBin.so.10()(64bit)
  libTKBool.so.10()(64bit)
  libTKCAF.so.10()(64bit)
  libTKFeat.so.10()(64bit)
  libTKFillet.so.10()(64bit)
  libTKG2d.so.10()(64bit)
  libTKG3d.so.10()(64bit)
  libTKGeomAlgo.so.10()(64bit)
  libTKGeomBase.so.10()(64bit)
  libTKHLR.so.10()(64bit)
  libTKIGES.so.10()(64bit)
  libTKLCAF.so.10()(64bit)
  libTKMath.so.10()(64bit)
  libTKMesh.so.10()(64bit)
  libTKMeshVS.so.10()(64bit)
  libTKOffset.so.10()(64bit)
  libTKPrim.so.10()(64bit)
  libTKSTEP.so.10()(64bit)
  libTKSTEPAttr.so.10()(64bit)
  libTKSTEPBase.so.10()(64bit)
  libTKSTL.so.10()(64bit)
  libTKShHealing.so.10()(64bit)
  libTKTopAlgo.so.10()(64bit)
  libTKXCAF.so.10()(64bit)
  libTKXDEIGES.so.10()(64bit)
  libTKXDESTEP.so.10()(64bit)
  libTKXSBase.so.10()(64bit)
  libTKernel.so.10()(64bit)
  Assembly.so()(64bit)
  Drawing.so()(64bit)
  Fem.so()(64bit)
  Image.so()(64bit)
  Import.so()(64bit)
  Inspection.so()(64bit)
  Mesh.so()(64bit)
  Part.so()(64bit)
  PartGui.so()(64bit)
  Path.so()(64bit)
  Points.so()(64bit)
  Raytracing.so()(64bit)
  Robot.so()(64bit)
  Sketcher.so()(64bit)
  SketcherGui.so()(64bit)
  Spreadsheet.so()(64bit)
  _PartDesign.so()(64bit)
  libDriver.so()(64bit)
  libDriverDAT.so()(64bit)
  libDriverSTL.so()(64bit)
  libDriverUNV.so()(64bit)
  libFreeCADApp.so()(64bit)
  libFreeCADBase.so()(64bit)
  libFreeCADGui.so()(64bit)
  libMEFISTO2.so()(64bit)
  libSMDS.so()(64bit)
  libSMESH.so()(64bit)
  libSMESHDS.so()(64bit)
  libStdMeshers.so()(64bit)
  libboost_python.so.1.54.0()(64bit)
  libboost_signals.so.1.54.0()(64bit)
  libzipios.so.0()(64bit)
  python-numpy
  libshiboken-python2.7.so.1.2()(64bit)
  libspnav.so.0()(64bit)
  libxerces-c-3.1.so()(64bit)
  python-cxx
  libCoin80 == 3.9.99+hg20150827.1730
  python-pivy == 0.5.0+hg20101206.2327
  libSoQt20 == 1.5.99+hg20111204.2153
  /sbin/ldconfig

Related Changesets

FreeCAD: master 1e061b5c

2016-04-26 19:37:32

jobermayr


Committer: wmayer Details Diff
Fix boost::any bug with Boost 1.54.

and set BOOST_MIN_VERSION to 1.48.

Fixes:
- http://freecadweb.org/tracker/view.php?id=0002505
- http://forum.freecadweb.org/viewtopic.php?f=13&t=15310
- http://forum.freecadweb.org/viewtopic.php?f=3&t=15400
- http://forum.freecadweb.org/viewtopic.php?f=10&t=14108
Affected Issues
0002505
mod - CMakeLists.txt Diff File
mod - src/App/CMakeLists.txt Diff File
mod - src/App/ObjectIdentifier.h Diff File
mod - src/App/Property.h Diff File
mod - src/Mod/Assembly/App/CMakeLists.txt Diff File
mod - src/Mod/Assembly/App/opendcm/core/constraint.hpp Diff File
add - src/boost_any_1_55.hpp Diff File

Issue History

Date Modified Username Field Change
2016-04-14 18:41 pablocaron New Issue
2016-04-14 19:14 ickby Note Added: 0006967
2016-04-14 19:43 pablocaron Note Added: 0006968
2016-04-14 19:44 pablocaron Note Edited: 0006968 View Revisions
2016-04-14 19:54 ickby Note Added: 0006969
2016-04-15 13:34 pablocaron Note Added: 0006973
2016-04-15 14:06 EduardoJV Note Added: 0006974
2016-04-15 14:31 pablocaron Note Added: 0006975
2016-04-17 18:10 ickby Note Added: 0006985
2016-04-19 12:43 pablocaron Note Added: 0006990
2016-05-02 17:00 wmayer Changeset attached => FreeCAD Master master 1e061b5c
2016-05-02 17:00 wmayer Status new => closed
2016-05-02 17:00 wmayer Resolution open => fixed
2016-05-02 17:00 wmayer Fixed in Version => 0.17